package models

type ContractRequest struct {
	Runners []Runner `json:"runners"`
	Locale  string   `json:"locale" enums:"en,de"`
}

type Runner struct {
	ID         int    `json:"id"`
	FirstName  string `json:"first_name"`
	MiddleName string `json:"middle_name"`
	LastName   string `json:"last_name"`
	Group      Group  `json:"group"`
}

type Group struct {
	ID          int    `json:"id"`
	Name        string `json:"name"`
	ParentGroup *Group `json:"parent_group"`
}

type ContractTemplateOptions struct {
	Runners              []Runner `json:"runners"`
	CurrencySymbol       string   `json:"currency_symbol"`
	Disclaimer           string   `json:"disclaimer"`
	ReceiptMinimumAmount int      `json:"receipt_minimum_amount"`
	EventName            string   `json:"event_name"`
	SponsoringHeader     string   `json:"base_url"`
	BarcodeFormat        string   `json:"barcode_format"`
	BarcodePrefix        string   `json:"barcode_prefix"`
}
